import mods.metatweaker.Factory;

var DivineRPG_Items = mods.metatweaker.Factory.createCreativeTab("DivineRPG Items", "divinerpg:edenSoul").register();

var EdenItems = Factory.createItem("EdenItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("EdenItems_1", "metatweaker:divinerpg/soul/divine_soul_eden")
    .addSubtype("EdenItems_2", "metatweaker:divinerpg/entity/divine_essentiea_eden")
    .addSubtype("EdenItems_3", "metatweaker:divinerpg/metal/divine_metal_eden")
    .addSubtype("EdenItems_4", "metatweaker:divinerpg/ingot/divine_ingot_eden")
    .register();

var WildwoodItems = Factory.createItem("WildwoodItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("WildwoodItems_1", "metatweaker:divinerpg/soul/divine_soul_twilight")
    .addSubtype("WildwoodItems_2", "metatweaker:divinerpg/entity/divine_essentiea_twilight")
    .addSubtype("WildwoodItems_3", "metatweaker:divinerpg/metal/divine_metal_twilight")
    .addSubtype("WildwoodItems_4", "metatweaker:divinerpg/ingot/divine_ingot_twilight")
    .register();

var ApalachiaItems = Factory.createItem("ApalachiaItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("ApalachiaItems_1", "metatweaker:divinerpg/soul/divine_soul_apalachi")
    .addSubtype("ApalachiaItems_2", "metatweaker:divinerpg/entity/divine_essentiea_apalachi")
    .addSubtype("ApalachiaItems_3", "metatweaker:divinerpg/metal/divine_metal_apalachi")
    .addSubtype("ApalachiaItems_4", "metatweaker:divinerpg/ingot/divine_ingot_apalachi")
    .register();

var SkythernItems = Factory.createItem("SkythernItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("SkythernItems_1", "metatweaker:divinerpg/soul/divine_soul_heaven")
    .addSubtype("SkythernItems_2", "metatweaker:divinerpg/entity/divine_essentiea_heaven")
    .addSubtype("SkythernItems_3", "metatweaker:divinerpg/metal/divine_metal_heaven")
    .addSubtype("SkythernItems_4", "metatweaker:divinerpg/ingot/divine_ingot_heaven")
    .register();

var MortumItems = Factory.createItem("MortumItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("MortumItems_1", "metatweaker:divinerpg/soul/divine_soul_mortrum")
    .addSubtype("MortumItems_2", "metatweaker:divinerpg/entity/divine_essentiea_mortrum")
    .addSubtype("MortumItems_3", "metatweaker:divinerpg/metal/divine_metal_mortrum")
    .addSubtype("MortumItems_4", "metatweaker:divinerpg/ingot/divine_ingot_mortrum")
    .register();

var HaliteItems = Factory.createItem("HaliteItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("HaliteItems_1", "metatweaker:divinerpg/halite/defence/divine_halite_fragment_armor")
    .addSubtype("HaliteItems_2", "metatweaker:divinerpg/halite/defence/divine_halite_compression_armor")
    .addSubtype("HaliteItems_3", "metatweaker:divinerpg/halite/defence/divine_halite_metal_armor")
    .addSubtype("HaliteItems_4", "metatweaker:divinerpg/halite/attack/divine_halite_fragment_world")
    .addSubtype("HaliteItems_5", "metatweaker:divinerpg/halite/attack/divine_halite_compression_world")
    .addSubtype("HaliteItems_6", "metatweaker:divinerpg/halite/attack/divine_halite_metal_world")
    .register();

var EnchantedHaliteItems = Factory.createItem("EnchantedHaliteItems")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .setHasEffect(true)
    .addSubtype("EnchantedHaliteItems_1", "metatweaker:divinerpg/halite/defence/divine_halite_metal_armor")
    .addSubtype("EnchantedHaliteItems_2", "metatweaker:divinerpg/halite/attack/divine_halite_metal_world")
    .register();

var Hearts = Factory.createItem("Hearts")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("Hearts_1", "metatweaker:divinerpg/heart/twilight_heart")
    .addSubtype("Hearts_2", "metatweaker:divinerpg/heart/densos_god_heart")
    .addSubtype("Hearts_3", "metatweaker:divinerpg/heart/ravor_god_heart")
    .addSubtype("Hearts_4", "metatweaker:divinerpg/heart/vamasheron_heart")
    .addSubtype("Hearts_5", "metatweaker:divinerpg/heart/soul_heart")
    .addSubtype("Hearts_6", "metatweaker:divinerpg/heart/universe_heart")
    .register();

var Formations = Factory.createItem("Formations")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("Formations_1", "metatweaker:divinerpg/formation/formationuso_nature")
    .addSubtype("Formations_2", "metatweaker:divinerpg/formation/formationuso_soul")
    .addSubtype("Formations_3", "metatweaker:divinerpg/formation/formationuso_constant")
    .register();

var ElementalShards = Factory.createItem("ElementalShards")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("ElementalShards_1", "metatweaker:divinerpg/shard/sharduso_nature")
    .addSubtype("ElementalShards_2", "metatweaker:divinerpg/shard/sharduso_soul")
    .addSubtype("ElementalShards_3", "metatweaker:divinerpg/shard/sharduso_constant")
    .register();

var OreDustDRPG = Factory.createItem("OreDustDRPG")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("OreDustDRPG_1", "metatweaker:divinerpg/oredust/divine_dust_realmite")
    .addSubtype("OreDustDRPG_2", "metatweaker:divinerpg/oredust/divine_dust_arlemite")
    .addSubtype("OreDustDRPG_3", "metatweaker:divinerpg/oredust/divine_dust_rupium")
    .addSubtype("OreDustDRPG_4", "metatweaker:divinerpg/oredust/divine_dust_bloodstone")
    .addSubtype("OreDustDRPG_5", "metatweaker:divinerpg/oredust/divine_dust_netherite")
    .register();

var DRPGAlloy = Factory.createItem("DRPGAlloy")
    .setCreativeTab("DivineRPG Items")
    .setHasSubtypes(true)
    .addSubtype("DRPGAlloy_1", "metatweaker:divinerpg/alloy/alloy_twilight")
    .register();





